Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceFactoryImpl

    java.lang.Object
      org.richfaces.resource.ResourceFactoryImpl

All Implemented Interfaces:
  org.richfaces.resource.ResourceFactory

    public class ResourceFactoryImpl

extends Object
implements org.richfaces.resource.ResourceFactory

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.resource.ResourceFactory
`DYNAMIC_RESOURCE_MAPPINGS, SKINNED_RESOURCE_PREFIX`

Constructor Summary
`ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)`

Method Summary
`protected javax.faces.application.Resource` | `createDynamicResource(org.richfaces.resource.ResourceKey resourceKey, boolean useDependencyInjection)`
`protected javax.faces.application.Resource` | `createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey, Map<String,String> parameters)` Should be called only if `#isResourceExists(String)` returns `true`
`javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, org.richfaces.resource.ResourceRequestData resourceData)`
`protected javax.faces.application.Resource` | `createResource(org.richfaces.resource.Java2DUserResource resource)`
`javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
`protected javax.faces.application.Resource` | `createResource(org.richfaces.resource.UserResource resource)`
`Collection<org.richfaces.resource.ResourceKey>` | `getMappedDynamicResourceKeys()`
`protected void` | `injectProperties(Object resource, Map<String,String> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceFactoryImpl

    public ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)

Method Detail

### injectProperties

    protected void injectProperties(Object resource,
                                    Map<String,String> parameters)

### createHandlerDependentResource

    protected javax.faces.application.Resource createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey,
                                                                              Map<String,String> parameters)

  Should be called only if `#isResourceExists(String)` returns `true`

  Parameters:
    `resourceKey` -
    `parameters` -
  Returns:

### createResource

    public javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                           org.richfaces.resource.ResourceRequestData resourceData)

  Specified by:
    `createResource` in interface `org.richfaces.resource.ResourceFactory`

### createResource

    public javax.faces.application.Resource createResource(String resourceName,
                                                           String libraryName,
                                                           String contentType)

  Specified by:
    `createResource` in interface `org.richfaces.resource.ResourceFactory`

### createDynamicResource

    protected javax.faces.application.Resource createDynamicResource(org.richfaces.resource.ResourceKey resourceKey,
                                                                     boolean useDependencyInjection)

### getMappedDynamicResourceKeys

    public Collection<org.richfaces.resource.ResourceKey> getMappedDynamicResourceKeys()

  Specified by:
    `getMappedDynamicResourceKeys` in interface `org.richfaces.resource.ResourceFactory`

### createResource

    protected javax.faces.application.Resource createResource(org.richfaces.resource.Java2DUserResource resource)

### createResource

    protected javax.faces.application.Resource createResource(org.richfaces.resource.UserResource resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.